curl --request POST \
--url https://api.qovery.com/container/{containerId}/environmentVariable/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overwrite": false,
"vars": [
{
"name": "<string>",
"value": "<string>",
"scope": "APPLICATION",
"is_secret": true
}
]
}
'{
"total_variables_to_import": 123,
"successful_imported_variables": [
{
"name": "<string>",
"scope": "APPLICATION",
"is_secret": true,
"value": "<string>"
}
]
}Import environment variables in a defined scope, with a defined visibility.
curl --request POST \
--url https://api.qovery.com/container/{containerId}/environmentVariable/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overwrite": false,
"vars": [
{
"name": "<string>",
"value": "<string>",
"scope": "APPLICATION",
"is_secret": true
}
]
}
'{
"total_variables_to_import": 123,
"successful_imported_variables": [
{
"name": "<string>",
"scope": "APPLICATION",
"is_secret": true,
"value": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Container ID
Was this page helpful?